VTK: vtkXdmf3ArrayKeeper Class Reference

| VTK 9.3.1

Public Member Functions | List of all members
vtkXdmf3ArrayKeeper Class Reference

LRU cache of XDMF Arrays. More...

`#include <vtkXdmf3ArrayKeeper.h>`

Inherits std::map< XdmfArray *, unsigned int >.

## Public Member Functions
| vtkXdmf3ArrayKeeper ()
| Constructor. More...
| ~vtkXdmf3ArrayKeeper ()
| Destructor. More...
void | BumpGeneration ()
| Call to mark arrays that will be accessed with a new timestamp. More...
void | Insert (XdmfArray *val)
| Call whenever you a new XDMF array is accessed. More...
void | Release (bool force)
| Call to free all open arrays that are currently open but not in use. More...
| vtkXdmf3ArrayKeeper (const vtkXdmf3ArrayKeeper &)=delete

## Detailed Description

LRU cache of XDMF Arrays.

vtkXdmf3ArrayKeeper maintains the in memory cache of recently used XdmfArrays. Each array that is loaded from XDMF is put in the cache and/or marked with the current timestep. A release method frees arrays that have not been recently used.

This file is a helper for the vtkXdmf3Reader and not intended to be part of VTK public API

Definition at line 30 of file vtkXdmf3ArrayKeeper.h.

## Constructor & Destructor Documentation

## ◆ vtkXdmf3ArrayKeeper() [1/2]

vtkXdmf3ArrayKeeper::vtkXdmf3ArrayKeeper | ( |  | ) |

Constructor.

## ◆ ~vtkXdmf3ArrayKeeper()

vtkXdmf3ArrayKeeper::~vtkXdmf3ArrayKeeper | ( |  | ) |

Destructor.

## ◆ vtkXdmf3ArrayKeeper() [2/2]

vtkXdmf3ArrayKeeper::vtkXdmf3ArrayKeeper | ( | const vtkXdmf3ArrayKeeper & |  | ) |
| delete

## Member Function Documentation

## ◆ BumpGeneration()

void vtkXdmf3ArrayKeeper::BumpGeneration | ( |  | ) |

Call to mark arrays that will be accessed with a new timestamp.

## ◆ Insert()

void vtkXdmf3ArrayKeeper::Insert | ( | XdmfArray * | val | ) |

Call whenever you a new XDMF array is accessed.

## ◆ Release()

void vtkXdmf3ArrayKeeper::Release | ( | bool | force | ) |

Call to free all open arrays that are currently open but not in use.

Force argument frees all arrays.

The documentation for this class was generated from the following file:

- IO/Xdmf3/vtkXdmf3ArrayKeeper.h